Subject: Re: Pulseview with modular qt
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Date: Sat, 22 Feb 2025 13:49:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

> phodina <[email-masked]> writes:
> 
> > Hi,
> >
> > recently I used Pulseview to debug eMMC issues.
> >
> > I was also surprised why they are some icons and others are missing.
> >
> > Based on the code some are implemented as png and some as svg.
> >
> > I tried to add the qtsvg-5 but it did not work and made the resulting derivation larger.
> >
> > Therefore there are 2 possibilites:
> >
> > - Add support for SVG by adding qtsvg-5 and any additional packages [1]
> > This would be preferable as the images are displayed in the time series and the bitmaps will look ugly.
> >
> > 2. Convert all into pngs
> > This will save size but will require a big patch (which will be mostly binary)
> > What do you think?
> 
> Option 1 (simply adding qtsvg-5) sounds more reasonable to me.

Pulseview has been using QtSVG for more than 6 years now. Closing.

Regards,
-- 
Nicolas Goaziou